I am not able to compile SteadyFlow

Asked by Ayoub Maza on 2010-09-19

Hello,

I am really happy to discover SteadyFlow because Linux absolutely needs a decent download manager.
I got the code from launchpad and I tried to compile it. but I am no expert in Vala, I am getting an error :

"Steadyflow.Core/GioSettingsService.vala:59.2-59.47: error: `Steadyflow.Core.AppConfig' already contains a definition for `create_settings'
Steadyflow.Core/LocalSettingsService.vala:133.2-133.47: note: previous definition of `create_settings' was here
-Process return 256 execution time: 1.05 s-
"
- using vala 0.9.8.1
- IDE Val(a)ide

What does this mean ? How can I fix it ?

Thank you very much for your effort

Question information

Language:
English Edit question
Status:
Solved
For:
Steadyflow Edit question
Assignee:
No assignee Edit question
Solved by:
Maia Everett
Solved:
2010-09-19
Last query:
2010-09-19
Last reply:
2010-09-19
Maia Everett (lucidfox) said : #1

This is weird. Looks like CMake pulled in two mutually exclusive classes. With the way the CMake rules are written, this isn't supposed to happen.

What distribution are you trying to compile this on?

Best Maia Everett (lucidfox) said : #2

Oh right, looks like you aren't using CMake, are you? Then your build is probably going to fail. Please follow the build instructions using CMake as outlined in README. If you're on Ubuntu, you can instead install the PPA packages.

Ayoub Maza (ayoub-mtd) said : #3

Yes, I am not using CMake. maybe this is the problem, I will Give CMake a try.

Ayoub Maza (ayoub-mtd) said : #4

I am on Ubuntu 10.10

Ayoub Maza (ayoub-mtd) said : #5

oh, Thank God ... cmake solved the problem. Thank you very much for the help.

Ayoub Maza (ayoub-mtd) said : #6

Thanks Maia Kozheva, that solved my question.

UaHummer (uahummer) said : #7

Help me - error: Package `appindicator-0.1' not found in specified Vala API directories or GObject-Introspection GIR directories

system Ubuntu 10.10 x86_64 I install all *appindicator* in Synaptic but have error